# Blur Class Reference

`#include <blur.h>`

List of all members.

## Public Types

enum | Type { BOX = 0, FASTGAUSSIAN = 1, CROSS = 2, GAUSSIAN = 3, DISC = 4, FORCE_DWORD = 0x8fffffff }

## Public Member Functions

synfig::Point & | set_size (const synfig::Point &v)
const synfig::Point & | get_size () const
synfig::Point & | get_size ()
int & | set_type (const int &t)
const int & | get_type () const
int & | get_type ()
| Blur ()
| Blur (const synfig::Point &s, int t, synfig::ProgressCallback *callb=0)
| Blur (synfig::Real sx, synfig::Real sy, int t, synfig::ProgressCallback *callb=0)
synfig::Point | operator() (const synfig::Point &p) const
synfig::Point | operator() (synfig::Real x, synfig::Real y) const
bool | operator() (const synfig::Surface &surface, const synfig::Vector &resolution, synfig::Surface &out) const
bool | operator() (const etl::surface< float > &surface, const synfig::Vector &resolution, etl::surface< float > &out) const

## Member Enumeration Documentation

enum Blur::Type

Enumerator:

  BOX |
  FASTGAUSSIAN |
  CROSS |
  GAUSSIAN |
  DISC |
  FORCE_DWORD |

## Constructor & Destructor Documentation

Blur::Blur | ( |  | ) | `[inline]`

Blur::Blur | ( | const synfig::Point & | s,
|  | int | t,
|  | synfig::ProgressCallback * | callb = `0` |
| ) |  |  | `[inline]`

Blur::Blur | ( | synfig::Real | sx,
|  | synfig::Real | sy,
|  | int | t,
|  | synfig::ProgressCallback * | callb = `0` |
| ) |  |  | `[inline]`

## Member Function Documentation

synfig::Point& Blur::set_size | ( | const synfig::Point & | v | ) | `[inline]`

const synfig::Point& Blur::get_size | ( |  | ) | const`[inline]`

synfig::Point& Blur::get_size | ( |  | ) | `[inline]`

int& Blur::set_type | ( | const int & | t | ) | `[inline]`

const int& Blur::get_type | ( |  | ) | const`[inline]`

int& Blur::get_type | ( |  | ) | `[inline]`

Point Blur::operator() | ( | const synfig::Point & | p | ) | const

References BOX, CROSS, DISC, FASTGAUSSIAN, and GAUSSIAN.

Point Blur::operator() | ( | synfig::Real | x,
|  | synfig::Real | y |
| ) |  |  | const

bool Blur::operator() | ( | const synfig::Surface & | surface,
|  | const synfig::Vector & | resolution,
|  | synfig::Surface & | out |
| ) |  |  | const

References std::abs(), synfig::SuperCallback::amount_complete(), BOX, CROSS, DISC, FASTGAUSSIAN, GAUSSIAN, GAUSSIAN_ADJUSTMENT, synfig::Color::get_a(), synfig::Color::get_b(), synfig::Color::get_g(), synfig::Color::get_r(), GuassianBlur_1x2(), GuassianBlur_1x3(), GuassianBlur_2x1(), GuassianBlur_2x2(), GuassianBlur_3x1(), synfig::Color::set_b(), synfig::Color::set_g(), and synfig::Color::set_r().

bool Blur::operator() | ( | const etl::surface< float > & | surface,
|  | const synfig::Vector & | resolution,
|  | etl::surface< float > & | out |
| ) |  |  | const

References std::abs(), synfig::SuperCallback::amount_complete(), BOX, CROSS, DISC, FASTGAUSSIAN, GAUSSIAN, GAUSSIAN_ADJUSTMENT, GuassianBlur_1x2(), GuassianBlur_1x3(), GuassianBlur_2x1(), GuassianBlur_2x2(), and GuassianBlur_3x1().

The documentation for this class was generated from the following files:

- synfig/blur.h
- synfig/blur.cpp